# `@highlight-ui/input`

## Installation

```
yarn add @highlight-ui/input
```

## Usage

In your TypeScript file:

```ts
import { Input, TextArea } from '@highlight-ui/input';
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/input');
```

## Performance Tips

The Input component depends on [imask.js](https://imask.js.org/), which is a
relatively heavy dependency. This component's package is tree shakeable, if you
do not need the input masking functionalities you can import the `TextInput`
component instead of the `Input` component.

```ts
import { TextInput } from '@highlight-ui/input';
```

If you only need the masking functionalities of the component, you can import
the `MaskedInput` component:

```ts
import { MaskedInput } from '@highlight-ui/input';
```

## Documentation

Please visit
[personio.design](https://www.personio.design/40d648a47/v/0/p/57b2c5-input-and-text-area)
