import React from 'react';
import { OutlineVariant, PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type TextAreaProps = PropsWithMetadata<{
    /** Sets the color of the textarea's border */
    outline?: OutlineVariant;
    /** Passes a ref to the input's container element */
    containerRef?: React.Ref<HTMLDivElement>;
}> & React.ComponentPropsWithoutRef<'textarea'>;
declare const TextArea: React.ForwardRefExoticComponent<{
    /** Sets the color of the textarea's border */
    outline?: OutlineVariant | undefined;
    /** Passes a ref to the input's container element */
    containerRef?: React.Ref<HTMLDivElement> | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & Pick<React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, "key" | keyof React.TextareaHTMLAttributes<HTMLTextAreaElement>> & React.RefAttributes<HTMLTextAreaElement>>;
export default TextArea;
