import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { InputContainerProps } from './InputContainer';
import { MaskOptions, MaskEvent } from './imaskExports';
export declare type MaskedInputProps = PropsWithMetadata<{
    /** Passes an [imaskjs](https://imask.js.org/guide.html) configuration object used for creating an IMask instance which will control the input element */
    maskOptions: MaskOptions;
    /** Sets a callback for when an event is fired on input changes allowed by the mask */
    onMaskAccept?: (e: MaskEvent) => void;
    /** Sets a callback for when an event is fired on input completion defined by the mask */
    onMaskComplete?: (e: MaskEvent) => void;
}> & Omit<InputContainerProps, 'children' | 'onOutlineClicked'> & Omit<React.ComponentPropsWithoutRef<'input'>, 'prefix'>;
declare const MaskedInput: React.ForwardRefExoticComponent<{
    /** Passes an [imaskjs](https://imask.js.org/guide.html) configuration object used for creating an IMask instance which will control the input element */
    maskOptions: MaskOptions;
    /** Sets a callback for when an event is fired on input changes allowed by the mask */
    onMaskAccept?: ((e: MaskEvent) => void) | undefined;
    /** Sets a callback for when an event is fired on input completion defined by the mask */
    onMaskComplete?: ((e: MaskEvent) => void) | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & Omit<InputContainerProps, "children" | "onOutlineClicked"> & Omit<Pick<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof React.InputHTMLAttributes<HTMLInputElement>>, "prefix"> & React.RefAttributes<HTMLInputElement>>;
export default MaskedInput;
